package com.sonic.lion.domain.enums;

/**
 * @author: code
 * @date: 2025/06/01
 * @Description: 用户三方账号状态
 * @version: 1.0.0
 */
public enum UserThirdStatus {

    /**
     * 打开
     */
    ENABLED(1, "ENABLED"),

    /**
     * 关闭
     */
    DISABLED(2, "DISABLED"),
    ;

    private final int value;

    private final String desc;

    UserThirdStatus(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }
}
